petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecRestoreArrayReadF90

Restores a readonly vector to a usable state after a call to VecGetArrayReadF90().

### Synopsis

    VecRestoreArrayReadF90(Vec x,{Scalar, pointer :: xx_v(:)},integer ierr)

Logically Collective on Vec Many br

### Input Parameters

| x | - vector Many br
| xx_v | - the Fortran90 pointer to the array Many br

### Output Parameter

ierr -error code Many br

### Example of Usage

        PetscScalar, pointer :: xx_v(:)
        ....
        call VecGetArrayReadF90(x,xx_v,ierr)
        a = xx_v(3)
        call VecRestoreArrayReadF90(x,xx_v,ierr)

Many br

Many br

### See Also

VecGetArrayReadF90(), VecGetArray(), VecRestoreArray(), VecGetArrayRead(), VecRestoreArrayRead(),UsingFortran, VecRestoreArrayF90()

Level:beginner
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages